///////////////////////////////////////////////////////////////////////////////
// Location class
//
// Authors: R. V. de Almeira Jr and H. J. Bortolossi.
//
// Created: 13/01/2006 -- Initial design and implementation.
//
// Last update: 13/01/2006
///////////////////////////////////////////////////////////////////////////////
package earth;

public class Location
{
   protected String[] country;
   protected String[] capital;
   protected String[] wiki;
   protected double latitude_deg;
   protected double latitude_min;
   protected double longitude_deg;
   protected double longitude_min;
   protected String flag_filename;
   protected String coat_filename;
   protected String continent;

   public Location(String[] input_country,
                   String[] input_capital,
                   double input_latitude_deg,
                   double input_latitude_min,
                   double input_longitude_deg,
                   double input_longitude_min)
   {
      country = input_country;
      capital = input_capital;
      latitude_deg = input_latitude_deg;
      latitude_min = input_latitude_min;
      longitude_deg = input_longitude_deg;
      longitude_min = input_longitude_min;
      flag_filename = "none";
      coat_filename = "none";
      wiki = new String[] {"http://pt.wikipedia.org/wiki/Lista_de_pa%C3%ADses",
                           "http://en.wikipedia.org/wiki/List_of_countries"};
      continent = "not defined yet";
   };

   public String getCountryName(int l)
   {
      return(country[l]);
   };

   public String getCapital(int l)
   {
      return(capital[l]);
   };

   public double getLatitude()
   {
      return(latitude_deg + latitude_min/60.0);
   };

   public double getLongitude()
   {
      return(longitude_deg + longitude_min/60.0);
   };

   public String getFlag()
   {
      return(flag_filename);
   };

   public String getCoat()
   {
      return(coat_filename);
   };

   public String getWiki(int language)
   {
      return(wiki[language]);
   };

   public String getContinent()
   {
      return(continent);
   };

   public void setFlag(String input_flag_filename)
   {
      flag_filename = input_flag_filename;
   };

   public void setCoat(String input_coat_filename)
   {
      coat_filename = input_coat_filename;
   };

   public void setWiki(String[] input_wiki)
   {
      wiki = input_wiki;
   };

   public void setContinent(String input_continent)
   {
      continent = input_continent;
   };
}; // End of Location


